> ## Documentation Index
> Fetch the complete documentation index at: https://kraken-sandbox.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Order Batch

> Cancel multiple open orders  by `txid`, `userref` or `cl_ord_id`(maximum 50 total unique IDs/references)

**API Key Permissions Required:** `Orders and trades - Create & modify orders` or `Orders and trades - Cancel & close orders`




## OpenAPI

````yaml /openapi/spot-rest.yaml post /private/CancelOrderBatch
openapi: 3.0.0
info:
  title: REST API
  version: 1.1.0
  description: ''
servers:
  - url: https://api.kraken.com/0
    description: Production Server
security:
  - API-Key: []
    API-Sign: []
tags:
  - name: Market Data
  - name: Account Data
  - name: Trading
  - name: Funding
  - name: Subaccounts
    description: >-
      Subaccounts are currently only available to institutional clients. Please
      contact your Account Manager for more details.
  - name: Earn
    description: >
      The earn API allows interacting with all of Kraken's yield generating
      products. It replaces the old `/staking` part of the API.


      The different available earn products are represented by earn strategies.
      This corresponds to the legacy `Staking/Assets`. `Stake`/`Unstake` are
      replaced by `Allocate`/`Deallocate`.


      ### Overview of the available endpoints under `/Earn`:


      - `Strategies` - list all earn strategies for which you are eligible or
      have a balance.

      - `Allocations` - lists the balance in your earn account for each
      strategy. Requires the `Query Funds` API key permission.

      - `Allocate`/`Deallocate` - allocate/deallocate to an earn strategy
      through an async operation. Requires the `Earn Funds` API key permission.

      - `AllocateStatus`/`DeallocateStatus` - verifies the state of the last
      allocation/deallocation. Requires the `Earn Funds` or `Query Funds` API
      key permission.


      ### Example usage:


      ### Determine which funds are earning rewards:


      1. Call `Strategies` to obtain information about the relevant strategy.
      The `lock_type` field shows whether bonding/unbonding funds are earning
      yield. The relevant fields are `bonding_rewards`/`unbonding_rewards`.

      2. Call `Allocations` for the relevant strategy. From the previous step,
      for strategies where bonding/unbonding does not earn yield, substract
      these balances from `amount_allocated.total` to determine which balances
      are currently earning.


      ### Get allocatable balance:


      Call `/0/private/BalanceEx`, subtract `hold_trading` amount. Remaining
      balance is available for allocation to a strategy.


      ### Geo restrictions:


      Some earn strategies are not available in all geographic regions.
      `Strategies` will return only strategies available to the caller.
  - name: Transparency
paths:
  /private/CancelOrderBatch:
    post:
      tags:
        - Trading
      summary: Cancel Order Batch
      description: >
        Cancel multiple open orders  by `txid`, `userref` or `cl_ord_id`(maximum
        50 total unique IDs/references)


        **API Key Permissions Required:** `Orders and trades - Create & modify
        orders` or `Orders and trades - Cancel & close orders`
      operationId: cancelOrderBatch
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/batchcancel'
      responses:
        '200':
          description: Open order cancelled.
          content:
            application/json:
              example:
                error: []
                result:
                  count: 2
components:
  schemas:
    batchcancel:
      title: Batch Cancel Open Orders Request Body
      required:
        - nonce
      type: object
      properties:
        nonce:
          $ref: '#/components/schemas/nonce'
        orders:
          type: array
          items:
            type: object
            properties:
              txid:
                description: >-
                  Open order transaction IDs (txid) or user references
                  (userref), up to a maximum of 50 total unique IDs/references.
                oneOf:
                  - type: string
                    title: string
                  - type: integer
                    title: integer
        cl_ord_ids:
          type: array
          items:
            type: object
            properties:
              cl_ord_id:
                description: >-
                  An alphanumeric client order identifier which uniquely
                  identifies an open order for each client. Up to a maximum of
                  50 total unique IDs/references.
                type: string
      example:
        nonce: 1695828490
        orders:
          - OP5V2Y-RYKVL-ET3V3B
          - OP5V2Y-7YKVL-ET3V3B
    nonce:
      description: Nonce used in construction of `API-Sign` header
      type: integer
      format: int64
  securitySchemes:
    API-Key:
      type: apiKey
      description: The "API-Key" header should contain your API key.
      name: API-Key
      in: header
    API-Sign:
      type: apiKey
      description: >-
        Authenticated requests should be signed with the "API-Sign" header,
        using a signature generated with your private key, nonce, encoded
        payload, and URI path.
      name: API-Sign
      in: header

````